Package: org.apache.groovy.parser.antlr4

## [Java] Class PositionInfo

- org.apache.groovy.parser.antlr4.PositionInfo

-     public class PositionInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PositionInfo(int line, int column)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public int` | `getColumn()`
    `` | `public int` | `getLine()`
    `` | `public int` | `hashCode()`
    `` | `public void` | `setColumn(int column)`
    `` | `public void` | `setLine(int line)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public PositionInfo(int line, int column)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object o)

    - #### public int getColumn()

    - #### public int getLine()

    - #### @Override
      public int hashCode()

    - #### public void setColumn(int column)

    - #### public void setLine(int line)

    - #### @Override
      public String toString()